## Copyright (C) 2023 franc
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <https://www.gnu.org/licenses/>.

## -*- texinfo -*-
## @deftypefn {} {@var{retval} =} Jfun (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: franc <franc@LAPTOP_FRAN>
## Created: 2023-11-06

function retval = Jfun (a,b)
x = [0.25, 0.75, 1.25, 1.75, 2.25];
y = [0.28, 0.57, 0.68, 0.74, 0.79];
retval = zeros(5,2);
for i =1:5
  retval(i,1) = 1- exp(-b*x(i));
  retval(i,2) = a*x(i)*exp(-b*x(i));
endfor













endfunction
