## Copyright (C) 2023 franc
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <https://www.gnu.org/licenses/>.

## -*- texinfo -*-
## @deftypefn {} {@var{retval} =} ej10 (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: franc <franc@LAPTOP_FRAN>
## Created: 2023-11-06

function retval = ej10 (rfun,Jfun,a0,b0)
  an = a0;
  bn = b0;
  i = 0;
  while i < 100
    b = -rfun(an,bn);
    A = Jfun(an,bn);
    cond(A'*A)
    w = (A'*A)\(A'*b);
    an = an + w(1);
    bn = bn + w(2);
    i = i + 1;
  endwhile
  retval = [an,bn];
endfunction
